
Infrastructure - Task #4477

Feature # 4476 (Closed): Update log aggregation to support user dashboard

update log event Solr index with new fields

2014-03-17 23:21 - Peter Slaughter

Status: Closed Start date: 2014-03-17

Priority: Normal Due date:  

Assignee: Peter Slaughter % Done: 100%

Category: d1_log_aggregation Estimated time: 0.00 hour

Target version: 2014.16-Block.2.4   

Milestone: None Story Points:  

Product Version: *   

Description

Add the fields "rightsholder", "formatId", "size" to the "log event" Solr index definition. Also update the

systemmedata event listener to reindex all event entries for a pid when it's sysmeta changes, updating

values for these fields.

History

#1 - 2014-03-31 17:41 - Peter Slaughter

- Target version changed from 2014.12-Block.2.2 to 2014.16-Block.2.4

#2 - 2014-04-29 23:54 - Peter Slaughter

- Status changed from New to Closed

- translation missing: en.field_remaining_hours set to 0.0

Tested on cn-dev-ucsb-1 from unstable channel debian packages
